package Bits is
   pragma Pure(Bits);

   type Bit is mod 2;
   type Bitstream is array( Natural range <> ) of Bit; -- any length; message

   procedure ToBitstream(S: in String; B: out Bitstream);
   procedure ToString(B: in Bitstream; S: out String);
   procedure ToHex(B: in Bitstream; S: out String);
   function ToHex(B: in Bitstream) return String;
end Bits;
