#ifndef KECCAK_H_
#define KECCAK_H_

#include<stdio.h>
#include<string.h>
#include<stdlib.h>

extern void *keccak_begin();
extern void keccak_get_ctx_byte_size(size_t *size);
extern void keccak_hash(void *ctx, char *array, size_t size);
extern void keccak_end(void *ctx, char *out, size_t size);
extern void keccak_free(void **ctx);
extern void adainit();
extern void adafinal();

#endif
